### YamlMime:ManagedReference
items:
- uid: OmiLAXR.xAPI.Tracking.ITrackingController
  commentId: T:OmiLAXR.xAPI.Tracking.ITrackingController
  id: ITrackingController
  parent: OmiLAXR.xAPI.Tracking
  children:
  - OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance
  - OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  - OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  langs:
  - csharp
  - vb
  name: ITrackingController
  nameWithType: ITrackingController
  fullName: OmiLAXR.xAPI.Tracking.ITrackingController
  type: Interface
  source:
    remote:
      path: Runtime/Tracking/ITrackingController.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: ITrackingController
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingController.cs
    startLine: 4
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: public interface ITrackingController
    content.vb: Public Interface ITrackingController
- uid: OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  id: StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  parent: OmiLAXR.xAPI.Tracking.ITrackingController
  langs:
  - csharp
  - vb
  name: StartTracking(MainTrackingSystem, ITrackingSystem, TrackingContext)
  nameWithType: ITrackingController.StartTracking(MainTrackingSystem, ITrackingSystem, TrackingContext)
  fullName: OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem, OmiLAXR.xAPI.Tracking.ITrackingSystem, OmiLAXR.xAPI.Tracking.TrackingContext)
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingController.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: StartTracking
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingController.cs
    startLine: 6
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: void StartTracking(MainTrackingSystem mainTrackingSystem, ITrackingSystem trackingSystem, TrackingContext context)
    parameters:
    - id: mainTrackingSystem
      type: OmiLAXR.xAPI.Tracking.MainTrackingSystem
    - id: trackingSystem
      type: OmiLAXR.xAPI.Tracking.ITrackingSystem
    - id: context
      type: OmiLAXR.xAPI.Tracking.TrackingContext
    content.vb: Sub StartTracking(mainTrackingSystem As MainTrackingSystem, trackingSystem As ITrackingSystem, context As TrackingContext)
  overload: OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking*
- uid: OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  id: StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  parent: OmiLAXR.xAPI.Tracking.ITrackingController
  langs:
  - csharp
  - vb
  name: StopTracking(MainTrackingSystem, ITrackingSystem, TrackingContext)
  nameWithType: ITrackingController.StopTracking(MainTrackingSystem, ITrackingSystem, TrackingContext)
  fullName: OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem, OmiLAXR.xAPI.Tracking.ITrackingSystem, OmiLAXR.xAPI.Tracking.TrackingContext)
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingController.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: StopTracking
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingController.cs
    startLine: 7
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: void StopTracking(MainTrackingSystem mainTrackingSystem, ITrackingSystem trackingSystem, TrackingContext context)
    parameters:
    - id: mainTrackingSystem
      type: OmiLAXR.xAPI.Tracking.MainTrackingSystem
    - id: trackingSystem
      type: OmiLAXR.xAPI.Tracking.ITrackingSystem
    - id: context
      type: OmiLAXR.xAPI.Tracking.TrackingContext
    content.vb: Sub StopTracking(mainTrackingSystem As MainTrackingSystem, trackingSystem As ITrackingSystem, context As TrackingContext)
  overload: OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking*
- uid: OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance
  commentId: M:OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance
  id: GetInstance
  parent: OmiLAXR.xAPI.Tracking.ITrackingController
  langs:
  - csharp
  - vb
  name: GetInstance()
  nameWithType: ITrackingController.GetInstance()
  fullName: OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance()
  type: Method
  source:
    remote:
      path: Runtime/Tracking/ITrackingController.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.xapi.git
    id: GetInstance
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.xAPI/Runtime/Tracking/ITrackingController.cs
    startLine: 8
  assemblies:
  - OmiLAXR.xAPI
  namespace: OmiLAXR.xAPI.Tracking
  syntax:
    content: MonoBehaviour GetInstance()
    return:
      type: UnityEngine.MonoBehaviour
    content.vb: Function GetInstance() As MonoBehaviour
  overload: OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance*
references:
- uid: OmiLAXR.xAPI.Tracking
  commentId: N:OmiLAXR.xAPI.Tracking
  href: OmiLAXR.html
  name: OmiLAXR.xAPI.Tracking
  nameWithType: OmiLAXR.xAPI.Tracking
  fullName: OmiLAXR.xAPI.Tracking
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.xAPI
    name: xAPI
    href: OmiLAXR.xAPI.html
  - name: .
  - uid: OmiLAXR.xAPI.Tracking
    name: Tracking
    href: OmiLAXR.xAPI.Tracking.html
- uid: OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking
  href: OmiLAXR.xAPI.Tracking.ITrackingController.html#OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  name: StartTracking
  nameWithType: ITrackingController.StartTracking
  fullName: OmiLAXR.xAPI.Tracking.ITrackingController.StartTracking
- uid: OmiLAXR.xAPI.Tracking.MainTrackingSystem
  commentId: T:OmiLAXR.xAPI.Tracking.MainTrackingSystem
  parent: OmiLAXR.xAPI.Tracking
  href: OmiLAXR.xAPI.Tracking.MainTrackingSystem.html
  name: MainTrackingSystem
  nameWithType: MainTrackingSystem
  fullName: OmiLAXR.xAPI.Tracking.MainTrackingSystem
- uid: OmiLAXR.xAPI.Tracking.ITrackingSystem
  commentId: T:OmiLAXR.xAPI.Tracking.ITrackingSystem
  parent: OmiLAXR.xAPI.Tracking
  href: OmiLAXR.xAPI.Tracking.ITrackingSystem.html
  name: ITrackingSystem
  nameWithType: ITrackingSystem
  fullName: OmiLAXR.xAPI.Tracking.ITrackingSystem
- uid: OmiLAXR.xAPI.Tracking.TrackingContext
  commentId: T:OmiLAXR.xAPI.Tracking.TrackingContext
  parent: OmiLAXR.xAPI.Tracking
  href: OmiLAXR.xAPI.Tracking.TrackingContext.html
  name: TrackingContext
  nameWithType: TrackingContext
  fullName: OmiLAXR.xAPI.Tracking.TrackingContext
- uid: OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking
  href: OmiLAXR.xAPI.Tracking.ITrackingController.html#OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking(OmiLAXR.xAPI.Tracking.MainTrackingSystem,OmiLAXR.xAPI.Tracking.ITrackingSystem,OmiLAXR.xAPI.Tracking.TrackingContext)
  name: StopTracking
  nameWithType: ITrackingController.StopTracking
  fullName: OmiLAXR.xAPI.Tracking.ITrackingController.StopTracking
- uid: OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance*
  commentId: Overload:OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance
  href: OmiLAXR.xAPI.Tracking.ITrackingController.html#OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance
  name: GetInstance
  nameWithType: ITrackingController.GetInstance
  fullName: OmiLAXR.xAPI.Tracking.ITrackingController.GetInstance
- uid: UnityEngine.MonoBehaviour
  commentId: T:UnityEngine.MonoBehaviour
  parent: UnityEngine
  isExternal: true
  name: MonoBehaviour
  nameWithType: MonoBehaviour
  fullName: UnityEngine.MonoBehaviour
- uid: UnityEngine
  commentId: N:UnityEngine
  isExternal: true
  name: UnityEngine
  nameWithType: UnityEngine
  fullName: UnityEngine
